//
//  CalculatorModel.swift
//  Calculator
//
//  Created by David Reed on 2/1/19.
//  Copyright © 2019 David Reed. All rights reserved.
//

import Foundation

struct CalculatorModel {
    private(set) var currentValue = 0.0
    private var lastOp = "+"
    
    mutating func apply(op: String, with number: Double) {
        if self.lastOp == "=" {
            self.currentValue = number
        }
        else if self.lastOp == "+" {
            self.currentValue += number
        }
        else if self.lastOp == "-" {
            self.currentValue -= number
        }
        else if self.lastOp == "*" || self.lastOp == "x" {
            self.currentValue *= number
        }
        else if self.lastOp == "/" || self.lastOp == "÷" {
            self.currentValue /= number
        }
        self.lastOp = op
    }

    mutating func clear() {
        self.currentValue = 0.0;
        self.lastOp = "="
    }
}
